diff -uNr tauola_desy.ORIG/TAUOLA/photos-F/makefile tauola_desy/TAUOLA/photos-F/makefile
--- tauola_desy.ORIG/TAUOLA/photos-F/makefile	2005-08-24 19:38:41.000000000 +0900
+++ tauola_desy/TAUOLA/photos-F/makefile	2012-11-07 00:26:06.000000000 +0900
@@ -26,31 +26,31 @@
 	@echo Preprocessing photos.F for KK ...
 	@echo Creating symbolic link for HEPEVT include file:
 	@ln -s ../include/HEPEVT-KKMC.h ../include/HEPEVT.h
-	@$(CPP) $(CPPFLAGS) -DKORALK  photos.F photos.f
+	@$(CPP) $(CPPFLAGS) -DKORALK  photos_F photos.f
 	@$(CPP) $(CPPFLAGS) -DKORALK  demo/phodem.F demo/phodem.f
 4kD:
 	@echo Preprocessing photos.F for HEPEVT: 4000 DOUBLE PRECISSION ...
 	@echo Creating symbolic link for HEPEVT include file:
 	@ln -s ../include/HEPEVT-FOURD.h ../include/HEPEVT.h
-	@$(CPP) $(CPPFLAGS) -DCZTERYD photos.F photos.f
+	@$(CPP) $(CPPFLAGS) -DCZTERYD photos_F photos.f
 	@$(CPP) $(CPPFLAGS) -DCZTERYD  demo/phodem.F demo/phodem.f
 2kR:
 	@echo Preprocessing photos.F for HEPEVT: 2000 REAL*4 ...
 	@echo Creating symbolic link for HEPEVT include file:
 	@ln -s ../include/HEPEVT-TWOR.h ../include/HEPEVT.h
-	@$(CPP) $(CPPFLAGS) -DDWAR    photos.F photos.f
+	@$(CPP) $(CPPFLAGS) -DDWAR    photos_F photos.f
 	@$(CPP) $(CPPFLAGS) -DDWAR  demo/phodem.F demo/phodem.f
 2kD:
 	@echo Preprocessing photos.F for HEPEVT: 2000 REAL*8 ...
 	@echo Creating symbolic link for HEPEVT include file:
 	@ln -s ../include/HEPEVT-TWOD.h ../include/HEPEVT.h
-	@$(CPP) $(CPPFLAGS) -DDWAD    photos.F photos.f
+	@$(CPP) $(CPPFLAGS) -DDWAD    photos_F photos.f
 	@$(CPP) $(CPPFLAGS) -DDWAD  demo/phodem.F demo/phodem.f
 10kD:
 	@echo Preprocessing photos.F for HEPEVT: 10000 DOUBLE PRECISSION ...
 	@echo Creating symbolic link for HEPEVT include file:
 	@ln -s ../include/HEPEVT-TEND.h ../include/HEPEVT.h
-	@$(CPP) $(CPPFLAGS) -DDZIESD  photos.F photos.f
+	@$(CPP) $(CPPFLAGS) -DDZIESD  photos_F photos.f
 	@$(CPP) $(CPPFLAGS) -DDZIESD  demo/phodem.F demo/phodem.f
 
 KK-all:   clean KK   install
diff -uNr tauola_desy.ORIG/TAUOLA/platform/make-darwin.inc tauola_desy/TAUOLA/platform/make-darwin.inc
--- tauola_desy.ORIG/TAUOLA/platform/make-darwin.inc	2012-11-07 00:26:06.000000000 +0900
+++ tauola_desy/TAUOLA/platform/make-darwin.inc	2012-11-07 00:26:06.000000000 +0900
@@ -0,0 +1,12 @@
+
+F77     = gfortran
+FFLAGS  = -fno-automatic -ffixed-line-length-132 -fno-backslash
+LD      = $(F77)
+LDFLAGS = -fno-automatic
+AR      = ar
+RANLIB  = ranlib
+
+
+CPP     = /usr/osxws/bin/cpp 
+CPPFLAGS= -C -P -traditional-cpp
+DIFF    = diff -ib
diff -uNr tauola_desy.ORIG/TAUOLA/tauola-F/jetset-F/makefile-F tauola_desy/TAUOLA/tauola-F/jetset-F/makefile-F
--- tauola_desy.ORIG/TAUOLA/tauola-F/jetset-F/makefile-F	2005-09-23 03:54:56.000000000 +0900
+++ tauola_desy/TAUOLA/tauola-F/jetset-F/makefile-F	2012-11-07 01:08:02.000000000 +0900
@@ -3,7 +3,7 @@
 COMMAND_OBJECTS = demo.o tauface-jetset.o tauola_photos_ini.o
 EXTER_LIB4  = ../glib.a
 CERNLIB = ../..
-JETSET =  ${CERNLIB}/jetset/jetset.a
+JETSET =  ${CERN_ROOT}/lib/libpythia6422.a ${CERN_ROOT}/lib/libjetset74.a
 PHOTOS =  ${CERNLIB}/photos/glib.a 
 CLIBS = $(JETSET) $(PHOTOS)
 ############
diff -uNr tauola_desy.ORIG/TAUOLA/tauola-F/jetset-F/tauface-jetset_F tauola_desy/TAUOLA/tauola-F/jetset-F/tauface-jetset_F
--- tauola_desy.ORIG/TAUOLA/tauola-F/jetset-F/tauface-jetset_F	2010-06-01 04:51:08.000000000 +0900
+++ tauola_desy/TAUOLA/tauola-F/jetset-F/tauface-jetset_F	2012-11-07 01:18:52.000000000 +0900
@@ -41,6 +41,9 @@
       DATA NCN/0/
       DATA NCNMX/50/
       SAVE NCN,NCNMX
+C>>>>>
+      REAL*8 PLZAPX
+C>>>>>
 
       IF(MODE.EQ.-1) THEN
 C     ***********************
@@ -859,6 +862,9 @@
 C this function calculates probability for the helicity +1 +1 configuration
 C of taus for given Z/gamma transfer and COSTH0 cosine of scattering angle
       REAL*8 PLZAP0,SVAR,COSTHE,COSTH0
+C>>>>>>
+      REAL*8 T_BORN
+C>>>>>>
 
       COSTHE=COSTH0
 C >>>>>      IF (IDE*IDF.LT.0) COSTHE=-COSTH0 ! this is probably not needed ID
diff -uNr tauola_desy.ORIG/TAUOLA/tauola-F/makefile tauola_desy/TAUOLA/tauola-F/makefile
--- tauola_desy.ORIG/TAUOLA/tauola-F/makefile	2010-06-01 20:49:45.000000000 +0900
+++ tauola_desy/TAUOLA/tauola-F/makefile	2012-11-07 00:26:06.000000000 +0900
@@ -34,15 +34,15 @@
 	@echo Preparing CPC version of tauola in ../tauola
 	@( rm -f standalone-F/*.f )
 #     fill directory prod of CPC version
-	@( $(CPP) $(CPPFLAGS) -DCePeCe  formf.F prod/formf.f )
-	@( $(CPP) $(CPPFLAGS) -DCePeCe  tauola.F prod/tauola.f)       
+	@( $(CPP) $(CPPFLAGS) -DCePeCe  formf_F prod/formf.f )
+	@( $(CPP) $(CPPFLAGS) -DCePeCe  tauola_F prod/tauola.f)       
 	@( cp  makefile.cpc prod/makefile) 
 	@( cp  makefile.templ.cpc prod/makefile.templ)
 #     create interfaces 
-	@( $(CPP) $(CPPFLAGS) -DCePeCe  tauface-KK-F/Tauface.F tauface-KK-F/Tauface.f)
-	@( $(CPP) $(CPPFLAGS) -DCePeCe  standalone-F/taumain.F standalone-F/taumain.f) 
-	@( $(CPP) $(CPPFLAGS) -DCePeCe  jetset-F/tauola_photos_ini.F jetset-F/tauola_photos_ini.f) 
-	@( $(CPP) $(CPPFLAGS) -DCePeCe  jetset-F/tauface-jetset.F jetset-F/tauface-jetset.f) 
+	@( $(CPP) $(CPPFLAGS) -DCePeCe  tauface-KK-F/Tauface_F tauface-KK-F/Tauface.f)
+	@( $(CPP) $(CPPFLAGS) -DCePeCe  standalone-F/taumain_F standalone-F/taumain.f) 
+	@( $(CPP) $(CPPFLAGS) -DCePeCe  jetset-F/tauola_photos_ini_F jetset-F/tauola_photos_ini.f) 
+	@( $(CPP) $(CPPFLAGS) -DCePeCe  jetset-F/tauface-jetset_F jetset-F/tauface-jetset.f) 
 #     fill true (external) ../tauola directory 
 	@( cp prod/*.f ../tauola/.)
 	@( cp  makefile.cpc ../tauola/makefile) 
@@ -66,18 +66,18 @@
 	@echo Preparing CLEO version of tauola in ../tauola
 	@( rm -f standalone-F/*.f )
 #     fill directory prod of CLEO version
-	@( $(CPP) $(CPPFLAGS) -DCLEO    formf.F prod/formf.f)
-	@( $(CPP) $(CPPFLAGS) -DCLEO    tauola.F prod/tauola.f)
-	@( $(CPP) $(CPPFLAGS) -DCLEO    curr_cleo.F prod/curr_cleo.f)
-	@( $(CPP) $(CPPFLAGS) -DCLEO    f3pi.F prod/f3pi.f)
-	@( $(CPP) $(CPPFLAGS) -DCLEO    pkorb.F prod/pkorb.f)
+	@( $(CPP) $(CPPFLAGS) -DCLEO    formf_F prod/formf.f)
+	@( $(CPP) $(CPPFLAGS) -DCLEO    tauola_F prod/tauola.f)
+	@( $(CPP) $(CPPFLAGS) -DCLEO    curr_cleo_F prod/curr_cleo.f)
+	@( $(CPP) $(CPPFLAGS) -DCLEO    f3pi_F prod/f3pi.f)
+	@( $(CPP) $(CPPFLAGS) -DCLEO    pkorb_F prod/pkorb.f)
 	@( cp  makefile.cleo prod/makefile) 
 	@( cp  makefile.templ.cleo prod/makefile.templ) 
 #     create interfaces 
-	@( $(CPP) $(CPPFLAGS) -DCLEO    tauface-KK-F/Tauface.F tauface-KK-F/Tauface.f)
-	@( $(CPP) $(CPPFLAGS) -DCLEO  standalone-F/taumain.F standalone-F/taumain.f)  
-	@( $(CPP) $(CPPFLAGS) -DCLEO  jetset-F/tauola_photos_ini.F jetset-F/tauola_photos_ini.f)
-	@( $(CPP) $(CPPFLAGS) -DCLEO  jetset-F/tauface-jetset.F jetset-F/tauface-jetset.f)  
+	@( $(CPP) $(CPPFLAGS) -DCLEO    tauface-KK-F/Tauface_F tauface-KK-F/Tauface.f)
+	@( $(CPP) $(CPPFLAGS) -DCLEO  standalone-F/taumain_F standalone-F/taumain.f)  
+	@( $(CPP) $(CPPFLAGS) -DCLEO  jetset-F/tauola_photos_ini_F jetset-F/tauola_photos_ini.f)
+	@( $(CPP) $(CPPFLAGS) -DCLEO  jetset-F/tauface-jetset_F jetset-F/tauface-jetset.f)  
 #     fill true (external) ../tauola directory 
 	@( cp prod/*.f ../tauola/.)
 	@( cp  makefile.cleo ../tauola/makefile) 
@@ -101,15 +101,15 @@
 	@echo Preparing ALEPH version of tauola in ../tauola
 	@( rm -f standalone-F/*.f )
 #     fill directory prod of ALEPH version
-	@$(CPP) $(CPPFLAGS) -DALEPH   formf.F prod/formf.f
-	@$(CPP) $(CPPFLAGS) -DALEPH   tauola.F prod/tauola.f
+	@$(CPP) $(CPPFLAGS) -DALEPH   formf_F prod/formf.f
+	@$(CPP) $(CPPFLAGS) -DALEPH   tauola_F prod/tauola.f
 	@( cp  makefile.cpc prod/makefile) 
 	@( cp  makefile.templ.cpc prod/makefile.templ) 
 #     create interfaces 
-	@( $(CPP) $(CPPFLAGS) -DALEPH    tauface-KK-F/Tauface.F tauface-KK-F/Tauface.f)
-	@( $(CPP) $(CPPFLAGS) -DALEPH  standalone-F/taumain.F standalone-F/taumain.f)
-	@( $(CPP) $(CPPFLAGS) -DALEPH  jetset-F/tauola_photos_ini.F jetset-F/tauola_photos_ini.f)
-	@( $(CPP) $(CPPFLAGS) -DALEPH  jetset-F/tauface-jetset.F jetset-F/tauface-jetset.f) 
+	@( $(CPP) $(CPPFLAGS) -DALEPH    tauface-KK-F/Tauface_F tauface-KK-F/Tauface.f)
+	@( $(CPP) $(CPPFLAGS) -DALEPH  standalone-F/taumain_F standalone-F/taumain.f)
+	@( $(CPP) $(CPPFLAGS) -DALEPH  jetset-F/tauola_photos_ini_F jetset-F/tauola_photos_ini.f)
+	@( $(CPP) $(CPPFLAGS) -DALEPH  jetset-F/tauface-jetset_F jetset-F/tauface-jetset.f) 
 #     fill true (external) ../tauola directory 
 	@( cp prod/*.f ../tauola/.)
 	@( cp  makefile.cpc ../tauola/makefile) 
